[pthread-stubs,1/4] autogen.sh: quote path variables

Submitted by Emil Velikov on Nov. 3, 2016, 8:24 p.m.

Details

Message ID 20161103202459.25180-2-emil.l.velikov@gmail.com
State New
Series "Rework pthread-stubs design/implementation"
Headers show

Commit Message

Emil Velikov Nov. 3, 2016, 8:24 p.m.
From: Emil Velikov <emil.velikov@collabora.com>

If the pathname has space things will explode in various ways. Avoid
that by adding quotation marks where applicable.

Signed-off-by: Emil Velikov <emil.velikov@collabora.com>
---
 autogen.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Patch hide | download patch | download mbox

diff --git a/autogen.sh b/autogen.sh
index fc34bd5..f9b61bb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,13 +1,13 @@ 
 #! /bin/sh
 
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
 test -z "$srcdir" && srcdir=.
 
 ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
 
 autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
 
 if test -z "$NOCONFIGURE"; then
     $srcdir/configure "$@"